<html>
<head>
<title>OGRE: Ogre::GpuProgramUsage Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1GpuProgramUsage.html">GpuProgramUsage</a></div>
<h1>Ogre::GpuProgramUsage Class Reference</h1><!-- doxytag: class="Ogre::GpuProgramUsage" -->This class makes the usage of a vertex and fragment programs (low-level or high-level), with a given set of parameters, explicit.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreGpuProgramUsage_8h-source.html">OgreGpuProgramUsage.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1GpuProgramUsage-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#2c67ab03e5e08ba513b00d710cb155e2">GpuProgramUsage</a> (<a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a> gptype)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor.  <a href="#2c67ab03e5e08ba513b00d710cb155e2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#0a41db5c25743927a397adcd0a6cf72c">GpuProgramUsage</a> (const <a class="el" href="classOgre_1_1GpuProgramUsage.html">GpuProgramUsage</a> &amp;rhs)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy constructor.  <a href="#0a41db5c25743927a397adcd0a6cf72c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#9c322a46459f43021cb71d3ada369428">getType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the type of program we're trying to link to.  <a href="#9c322a46459f43021cb71d3ada369428"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#512e5a33561e116ad63042ec383bc911">setProgramName</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, bool resetParams=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the name of the program to use.  <a href="#512e5a33561e116ad63042ec383bc911"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#6d21e305d7dd1524e859b1c916cc9780">setProgram</a> (<a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> &amp;prog)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the program to use.  <a href="#6d21e305d7dd1524e859b1c916cc9780"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#8591c555a993fb63833caf6f013b0670">getProgram</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the program being used.  <a href="#8591c555a993fb63833caf6f013b0670"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#093bd8181272357ef88b8c4a1f5f028e">getProgramName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the program being used.  <a href="#093bd8181272357ef88b8c4a1f5f028e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#91c1c956ce21910fb19b533d00761d41">setParameters</a> (<a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> params)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the program parameters that should be used; because parameters can be shared between multiple usages for efficiency, this method is here for you to register externally created parameter objects.  <a href="#91c1c956ce21910fb19b533d00761d41"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#2a798e8d547336d730633b445144b476">getParameters</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the parameters being used here.  <a href="#2a798e8d547336d730633b445144b476"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#998ff466eb484f98eea125257cc43db9">_load</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Load this usage (and ensure program is loaded).  <a href="#998ff466eb484f98eea125257cc43db9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#e8445ca73de5edc403bcb310f96a7f84">_unload</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unload this usage.  <a href="#e8445ca73de5edc403bcb310f96a7f84"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#a9470d8b504c842c012506954793cc6b">mType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#9da44f0dcbbf0fb37bcb0b92321b4036">mProgram</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GpuProgramUsage.html#cc40c8abeb4e5c906307283ccd96d260">mParameters</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">program parameters  <a href="#cc40c8abeb4e5c906307283ccd96d260"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This class makes the usage of a vertex and fragment programs (low-level or high-level), with a given set of parameters, explicit. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Using a vertex or fragment program can get fairly complex; besides the fairly rudimentary process of binding a program to the GPU for rendering, managing usage has few complications, such as: <ul>
<li>
Programs can be high level (e.g. Cg, RenderMonkey) or low level (assembler). Using either should be relatively seamless, although high-level programs give you the advantage of being able to use named parameters, instead of just indexed registers </li>
<li>
Programs and parameters can be shared between multiple usages, in order to save memory </li>
<li>
When you define a user of a program, such as a material, you often want to be able to set up the definition but not load / compile / assemble the program at that stage, because it is not needed just yet. The program should be loaded when it is first needed, or earlier if specifically requested. The program may not be defined at this time, you may want to have scripts that can set up the definitions independent of the order in which those scripts are loaded. </li>
</ul>
This class packages up those details so you don't have to worry about them. For example, this class lets you define a high-level program and set up the parameters for it, without having loaded the program (which you normally could not do). When the program is loaded and compiled, this class will then validate the parameters you supplied earlier and turn them into runtime parameters. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Just incase it wasn't clear from the above, this class provides linkage to both <a class="el" href="classOgre_1_1GpuProgram.html" title="Defines a program which runs on the GPU such as a vertex or fragment program.">GpuProgram</a> and <a class="el" href="classOgre_1_1HighLevelGpuProgram.html" title="Abstract base class representing a high-level program (a vertex or fragment program)...">HighLevelGpuProgram</a>, despite its name. </dd></dl>

<p>Definition at line <a class="el" href="OgreGpuProgramUsage_8h-source.html#l00066">66</a> of file <a class="el" href="OgreGpuProgramUsage_8h-source.html">OgreGpuProgramUsage.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="2c67ab03e5e08ba513b00d710cb155e2"></a><!-- doxytag: member="Ogre::GpuProgramUsage::GpuProgramUsage" ref="2c67ab03e5e08ba513b00d710cb155e2" args="(GpuProgramType gptype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::GpuProgramUsage::GpuProgramUsage           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a>&nbsp;</td>
          <td class="paramname"> <em>gptype</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>gptype</em>&nbsp;</td><td>The type of program to link to </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="0a41db5c25743927a397adcd0a6cf72c"></a><!-- doxytag: member="Ogre::GpuProgramUsage::GpuProgramUsage" ref="0a41db5c25743927a397adcd0a6cf72c" args="(const GpuProgramUsage &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::GpuProgramUsage::GpuProgramUsage           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1GpuProgramUsage.html">GpuProgramUsage</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Copy constructor. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="9c322a46459f43021cb71d3ada369428"></a><!-- doxytag: member="Ogre::GpuProgramUsage::getType" ref="9c322a46459f43021cb71d3ada369428" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a> Ogre::GpuProgramUsage::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the type of program we're trying to link to. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgramUsage_8h-source.html#l00087">87</a> of file <a class="el" href="OgreGpuProgramUsage_8h-source.html">OgreGpuProgramUsage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="512e5a33561e116ad63042ec383bc911"></a><!-- doxytag: member="Ogre::GpuProgramUsage::setProgramName" ref="512e5a33561e116ad63042ec383bc911" args="(const String &amp;name, bool resetParams=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::GpuProgramUsage::setProgramName           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>resetParams</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the name of the program to use. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the program to use </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>resetParams</em>&nbsp;</td><td>If true, this will create a fresh set of parameters from the new program being linked, so if you had previously set parameters you will have to set them again. If you set this to false, you must be absolutely sure that the parameters match perfectly, and in the case of named parameters refers to the indexes underlying them, not just the names. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="6d21e305d7dd1524e859b1c916cc9780"></a><!-- doxytag: member="Ogre::GpuProgramUsage::setProgram" ref="6d21e305d7dd1524e859b1c916cc9780" args="(GpuProgramPtr &amp;prog)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::GpuProgramUsage::setProgram           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>prog</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the program to use. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Note that this will create a fresh set of parameters from the new program being linked, so if you had previously set parameters you will have to set them again. </dd></dl>

</div>
</div><p>
<a class="anchor" name="8591c555a993fb63833caf6f013b0670"></a><!-- doxytag: member="Ogre::GpuProgramUsage::getProgram" ref="8591c555a993fb63833caf6f013b0670" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a>&amp; Ogre::GpuProgramUsage::getProgram           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the program being used. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgramUsage_8h-source.html#l00108">108</a> of file <a class="el" href="OgreGpuProgramUsage_8h-source.html">OgreGpuProgramUsage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="093bd8181272357ef88b8c4a1f5f028e"></a><!-- doxytag: member="Ogre::GpuProgramUsage::getProgramName" ref="093bd8181272357ef88b8c4a1f5f028e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::GpuProgramUsage::getProgramName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the program being used. 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgramUsage_8h-source.html#l00110">110</a> of file <a class="el" href="OgreGpuProgramUsage_8h-source.html">OgreGpuProgramUsage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="91c1c956ce21910fb19b533d00761d41"></a><!-- doxytag: member="Ogre::GpuProgramUsage::setParameters" ref="91c1c956ce21910fb19b533d00761d41" args="(GpuProgramParametersSharedPtr params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::GpuProgramUsage::setParameters           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a>&nbsp;</td>
          <td class="paramname"> <em>params</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the program parameters that should be used; because parameters can be shared between multiple usages for efficiency, this method is here for you to register externally created parameter objects. 
<p>
Otherwise, the parameters will be created for you when a program is linked. 
</div>
</div><p>
<a class="anchor" name="2a798e8d547336d730633b445144b476"></a><!-- doxytag: member="Ogre::GpuProgramUsage::getParameters" ref="2a798e8d547336d730633b445144b476" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> Ogre::GpuProgramUsage::getParameters           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the parameters being used here. 
<p>

</div>
</div><p>
<a class="anchor" name="998ff466eb484f98eea125257cc43db9"></a><!-- doxytag: member="Ogre::GpuProgramUsage::_load" ref="998ff466eb484f98eea125257cc43db9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::GpuProgramUsage::_load           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Load this usage (and ensure program is loaded). 
<p>

</div>
</div><p>
<a class="anchor" name="e8445ca73de5edc403bcb310f96a7f84"></a><!-- doxytag: member="Ogre::GpuProgramUsage::_unload" ref="e8445ca73de5edc403bcb310f96a7f84" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::GpuProgramUsage::_unload           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unload this usage. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="a9470d8b504c842c012506954793cc6b"></a><!-- doxytag: member="Ogre::GpuProgramUsage::mType" ref="a9470d8b504c842c012506954793cc6b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#d08e89fa63e81d061ea9e2f37664976e">GpuProgramType</a> <a class="el" href="classOgre_1_1GpuProgramUsage.html#a9470d8b504c842c012506954793cc6b">Ogre::GpuProgramUsage::mType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgramUsage_8h-source.html#l00069">69</a> of file <a class="el" href="OgreGpuProgramUsage_8h-source.html">OgreGpuProgramUsage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9da44f0dcbbf0fb37bcb0b92321b4036"></a><!-- doxytag: member="Ogre::GpuProgramUsage::mProgram" ref="9da44f0dcbbf0fb37bcb0b92321b4036" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramPtr.html">GpuProgramPtr</a> <a class="el" href="classOgre_1_1GpuProgramUsage.html#9da44f0dcbbf0fb37bcb0b92321b4036">Ogre::GpuProgramUsage::mProgram</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreGpuProgramUsage_8h-source.html#l00071">71</a> of file <a class="el" href="OgreGpuProgramUsage_8h-source.html">OgreGpuProgramUsage.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cc40c8abeb4e5c906307283ccd96d260"></a><!-- doxytag: member="Ogre::GpuProgramUsage::mParameters" ref="cc40c8abeb4e5c906307283ccd96d260" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">GpuProgramParametersSharedPtr</a> <a class="el" href="classOgre_1_1GpuProgramUsage.html#cc40c8abeb4e5c906307283ccd96d260">Ogre::GpuProgramUsage::mParameters</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
program parameters 
<p>

<p>Definition at line <a class="el" href="OgreGpuProgramUsage_8h-source.html#l00074">74</a> of file <a class="el" href="OgreGpuProgramUsage_8h-source.html">OgreGpuProgramUsage.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgramUsage_8h-source.html">OgreGpuProgramUsage.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:53 2008
</p>
</body>
</html>
